FORUMS

AOSP 5.1 Lollipop for Nexus Q

Google Nexus Q is an intriguing device released with Android 4.0 Ice Cream Sandwich. It was abandoned by … more

XDA Picks: Best Apps of the Week (Apr 17 – 24)

Apps are at the front and center of any smartphone experience, and with over a … more

Glimpse Notifications: Easier Lockscreen Notifications

Lollipop brought a revamp to the lockscreen, taking away custom widgets but … more

What Are the Best Looking Apps on Android?

As more developers are updating their apps with Material Design elements, we’re … more
Post Reply Subscribe to Thread Email Thread

[Q] 4.4.2 issues

7th February 2014, 04:37 PM |#1  
OP Junior Member
Thanks Meter: 0
 
More
so I took my sprint htc one with viperone loaded and did an ruu back to 4.3 version wiping everything, I successfully got my over the air update to 4.4.2 and decided I'd try to back down to 4.3 so I could restore my twrp viper backup however twrp won't flash currently and I think I caused issues with my bootloader. Since there is no 4.4.2 ruu available yet and I can still get to bootloader, but not recovery, I think I'm still not completely bricked. I've tried a factory restore but I end up at the white screen with green htc letters and it never goes further. Could flashing the 4.4.2 stock recovery fix my issue?

Any attempt to do manual ruu flash, fastboot flash zip rom.zip, fails with this message

target reported max download size of 1514139648 bytes
sending 'zip' (1082662 KB)...
OKAY [ 53.293s]
writing 'zip'...
(bootloader) zip header checking...
(bootloader) zip info parsing...
(bootloader) Read zipped android_info fail
FAILED (remote: 24 parsing android-info fail)
finished. total time: 68.408s

current revs

m7_wls pvt ship s-on rh
hboot-1.56.0000
radio-1.00.20.1108
os-4.06.651.4

at this point I'd just like it to boot to android, any help would be greatly appreciated.

Thanks
Last edited by InvaderSkooge; 7th February 2014 at 04:44 PM. Reason: added phone info and error
 
 
7th February 2014, 06:35 PM |#2  
elvisypi's Avatar
Senior Member
Flag Düsseldorf
Thanks Meter: 1,326
 
Donate to Me
More
Lock bootloader and run the latest ruu

Sent from my HTC One using Tapatalk
8th February 2014, 04:55 AM |#3  
OP Junior Member
Thanks Meter: 0
 
More
Quote:
Originally Posted by elvisypi

Lock bootloader and run the latest ruu

Sent from my HTC One using Tapatalk

Thanks for responding, I think I'ved tried every combination of locked and unlocked bootloaders but hey what have I got to lose at this point.
ran fastboot oem lock

ran latest ruu I could find, RUU_M7_WL_JB43_SENSE50_SPCS_MR_Sprint_WWE_3.04.651 .2_Radio_1.00.20.0913_3_NV_SPCS_4.38_003_release_3 35355_signed_2.exe

I get error [155] unknown error

this worked to flash from viper one then take all the OTA updates to 4.4.2 but now I get this 155 error

I think I have to wait for the 4.4.2 ruu to be released to get back to a fully functioning but I wanted to check around.
8th February 2014, 05:31 AM |#4  
jstn76rs's Avatar
Senior Member
Flag La Crosse, WI
Thanks Meter: 134
 
More
You could try this... http://forum.xda-developers.com/show....php?t=2634256

[Guide] How to Downgrade from KK to JB S-OFF Required
8th February 2014, 04:11 PM |#5  
OP Junior Member
Thanks Meter: 0
 
More
Quote:
Originally Posted by jstn76rs

You could try this... http://forum.xda-developers.com/show....php?t=2634256

[Guide] How to Downgrade from KK to JB S-OFF Required

yeah I was starting there originally but getting s-off on 1.56 isn't possible yet.
8th February 2014, 04:15 PM |#6  
elvisypi's Avatar
Senior Member
Flag Düsseldorf
Thanks Meter: 1,326
 
Donate to Me
More
Quote:
Originally Posted by InvaderSkooge

yeah I was starting there originally but getting s-off on 1.56 isn't possible yet.

AFAIK that's not correct. Try firewater http://firewater-soff.com

Sent from my HTC One using Tapatalk
8th February 2014, 05:38 PM |#7  
OP Junior Member
Thanks Meter: 0
 
More
Quote:
Originally Posted by elvisypi

AFAIK that's not correct. Try firewater http://firewater-soff.com

Sent from my HTC One using Tapatalk

looks like firewater requires being able to boot into android and I can't get past the white screen with green HTC letters, I can get into the bootloader and fastboot but can't get further than that.

btw I really do appreciate the comments and suggestions, I feel like I'm just being negative and shooting each one down but I really am trying them as you post them before replying just in case I've missed something.

I can understand the older ruu versions failing as it won't let you downgrade firmwares with s-on but I'd think that some of the posted roms would work. is it possible to extract the boot and recovery from a 4.4.2 upgraded handset for flashing on another?
Last edited by InvaderSkooge; 8th February 2014 at 05:52 PM. Reason: supplication
8th February 2014, 05:53 PM |#8  
elvisypi's Avatar
Senior Member
Flag Düsseldorf
Thanks Meter: 1,326
 
Donate to Me
More
Quote:
Originally Posted by InvaderSkooge

looks like firewater requires being able to boot into android and I can't get past the white screen with green HTC letters, I can get into the bootloader and fastboot but can't get further than that.

Reflash the latest TWRP and than flash a 4.4.2 rom, I don't see why it shouldn't work. If you really messed up(flashed some gsm rom or whatever) you'll probably have to wait for the 4.4.2 ruu to come out

Sent from my HTC One using Tapatalk
The Following User Says Thank You to elvisypi For This Useful Post: [ View ]
8th February 2014, 11:50 PM |#9  
OP Junior Member
Thanks Meter: 0
 
More
Quote:
Originally Posted by elvisypi

Reflash the latest TWRP and than flash a 4.4.2 rom, I don't see why it shouldn't work. If you really messed up(flashed some gsm rom or whatever) you'll probably have to wait for the 4.4.2 ruu to come out

Sent from my HTC One using Tapatalk

ok I'm an idiot, thanks for bearing with me here, I had tried twrp load again several times, using 2.6.3.3 instead of 2.6.3.0....
9th February 2014, 12:02 AM |#10  
BD619's Avatar
Forum Moderator
Flag Xda-Dev,NV
Thanks Meter: 8,913
 
Donate to Me
More
Quote:
Originally Posted by InvaderSkooge

ok I'm an idiot, thanks for bearing with me here, I had tried twrp load again several times, using 2.6.3.3 instead of 2.6.3.0....

There is no twrp 2.6.3.3 for Sprint
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes